use std::env;

fn get_name() -> Option<String> {
    env::var("NAME").ok()
}

fn main() {
    match get_name() {
        None => println!("No NAME"),
        Some(name) => println!("Found NAME: {}", name),
    }
}